%global abi_ver 0

Name:           libopenaptx
Version:        0.2.0
Release:        0.1%{?dist}
Summary:        Open Source implementation of Audio Processing Technology codec (aptX)

License:        LGPLv2+
URL:            https://github.com/pali/libopenaptx
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

%description
This is Open Source implementation of Audio Processing Technology codec (aptX)
derived from ffmpeg 4.0 project and licensed under LGPLv2.1+. This codec is
mainly used in Bluetooth A2DP profile.

It provides dynamic linked shared library libopenaptx.so and simple command line
utilities openaptxenc and openaptxdec for encoding and decoding operations.
Documentation for shared library is provided in C header file openaptx.h.

There is support for aptX and aptX HD codec variants. Both variants operates on
a raw 24 bit signed stereo audio samples. aptX provides fixed compress ratio 6:1
and aptX HD fixed compress ratio 4:1.


%package        tools
Summary:        Simple command line encoding and decoding utilities
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
The %{name}-tools package contains simple command line utilities for
decoding and encoding with %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%global mkflags  PREFIX=%{_prefix} LIBDIR=%{_lib} STATIC_UTILITIES="" ANAME="" AOBJECTS=""
%make_build %{mkflags} CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"


%install
%make_install %{mkflags}


%files
%license COPYING
%doc README
%{_libdir}/*.so.%{abi_ver}*

%files tools
%{_bindir}/openaptx*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Nov 25 2020 Aleksei Bavshin <alebastr89@gmail.com> - 0.2.0-0.1
- Initial package
